Package com.google.android.exoplayer2.ext.media2

## Interface MediaItemConverter

- All Known Implementing Classes:
    `DefaultMediaItemConverter`

      public interface MediaItemConverter

  Converts between `Media2 MediaItem` and `ExoPlayer MediaItem`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `MediaItem` | `convertToExoPlayerMediaItem​(androidx.media2.common.MediaItem media2MediaItem)` | Converts a `Media2 MediaItem` to an `ExoPlayer MediaItem`.
    `androidx.media2.common.MediaItem` | `convertToMedia2MediaItem​(MediaItem exoPlayerMediaItem)` | Converts an `ExoPlayer MediaItem` to a `Media2 MediaItem`.

- - ### Method Detail

    - #### convertToExoPlayerMediaItem

          MediaItem convertToExoPlayerMediaItem​(androidx.media2.common.MediaItem media2MediaItem)

      Converts a `Media2 MediaItem` to an `ExoPlayer MediaItem`.

    - #### convertToMedia2MediaItem

          androidx.media2.common.MediaItem convertToMedia2MediaItem​(MediaItem exoPlayerMediaItem)

      Converts an `ExoPlayer MediaItem` to a `Media2 MediaItem`.